direct Struct Reference

`#include <dir.h>`

## Data Fields

long | d_namlen
ino_t | d_ino
char * | d_name
char | d_isdir
char | d_isrep

## Detailed Description

Definition at line 11 of file dir.h.

## Field Documentation

ino_t direct::d_ino

Definition at line 14 of file dir.h.

Referenced by readdir_internal().

char direct::d_isdir

Definition at line 16 of file dir.h.

Referenced by readdir_internal().

char direct::d_isrep

Definition at line 17 of file dir.h.

Referenced by readdir_internal().

char* direct::d_name

Definition at line 15 of file dir.h.

Referenced by rb_w32_closedir(), readdir_internal(), ruby_direct_conv(), and win32_direct_conv().

long direct::d_namlen

Definition at line 13 of file dir.h.

Referenced by ruby_direct_conv(), and win32_direct_conv().

The documentation for this struct was generated from the following file:

- win32/dir.h